Bug 216325 - SELinux is preventing /usr/sbin/nmbd (nmbd_t) "unlink" access to nmbd.log.old (samba_log_t).
SELinux is preventing /usr/sbin/nmbd (nmbd_t) "unlink" access to nmbd.log.old...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-19 05:28 EST by Nils Philippsen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:12:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2006-11-19 05:28:43 EST
Description of problem:

SSIA

Version-Release number of selected component (if applicable):

selinux-policy-targeted-2.4.3-2.fc6
samba-3.0.23c-2

How reproducible:

I don't know (I expect you have to cause nmbd to somehow roll its logs).

Steps to Reproduce:
1.
2.
3.
  
Actual results:

avc: denied { unlink } for comm='"nmbd"' dev='dm-0' egid='0' euid='0'
exe='"/usr/sbin/nmbd"' exit='0' fsgid='0' fsuid='0' gid='0' items='0'
name='"nmbd.log.old"' pid='3625' scontext=system_u:system_r:nmbd_t:s0 sgid='0'
subj='system_u:system_r:nmbd_t:s0' suid='0' tclass='file'
tcontext=root:object_r:samba_log_t:s0 tty='(none)' uid='0' 

Expected results:

No AVC alert, access granted

Additional info:
Comment 1 Daniel Walsh 2006-11-28 16:15:08 EST
Fixed in selinux-policy-2.4.5-3.fc6
Comment 2 staten oliver 2007-05-31 10:34:59 EDT
I have a similar problem with nmbd.  setroubleshooter reports the following.

SELinux is preventing /usr/sbin/nmbd (nmbd_t) "remove_name" access to nmbd.log
(samba_log_t)

audit log shows

type=AVC msg=audit(1180618631.984:1158): avc:  denied  { remove_name } for 
pid=3099 comm="nmbd" name="nmbd.log" dev=md3 ino=2688212
scontext=system_u:system_r:nmbd_t:s0 tcontext=system_u:object_r:samba_log_t:s0
tclass=dir
type=SYSCALL msg=audit(1180618631.984:1158): arch=40000003 syscall=38 success=no
exit=-13 a0=8010bf00 a1=bfa61278 a2=801065f4 a3=bfa61278 items=0 ppid=1 pid=3099
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="nmbd" exe="/usr/sbin/nmbd" subj=system_u:system_r:nmbd_t:s0
key=(null)
Comment 3 staten oliver 2007-05-31 10:38:00 EDT
I forgot to add...

I am using 
samba-3.0.24-5.fc6
selinux-policy-targeted-2.4.6-69.fc6
selinux-policy-2.4.6-69.fc6
selinux-policy-devel-2.4.6-69.fc6
Comment 4 Daniel Walsh 2007-05-31 15:43:12 EDT
Fixed in selinux-policy-2.4.6-75.fc6
Comment 5 Daniel Walsh 2007-08-22 10:12:06 EDT
Fixed in current release

Note You need to log in before you can comment on or make changes to this bug.